<?php

require_once '../includes/start.php';
require_once '../includes/function.php';
require_once '../includes/header1.php';

if($game==0 OR $level==0 OR $ban!=0){
		echo '
<title>Доступ закрыт</title>';
echo '
	<meta name="keywords" content="Астрономика, онлайн игра, астра, astronomika, космическая мобильная игра">';
echo '
</head>
<body>';
echo '
<body oncontextmenu="return false;">
<body onselectstart="return false"  oncopy="return false"><body onload="digitalWatch()">
	<style type="text/css">{-moz-user-select: none;-webkit-user-select: none;-ms-user-select: none;-o-user-select: none;user-select: none;}</style>';
		echo '
	<div class="blok3">
		<img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a>
	</div>';

}else{
echo '
<title>Создание героя</title>';
echo '
	<meta name="keywords" content="Астрономика, онлайн игра, астра, astronomika, космическая мобильная игра">';
echo '
</head>
<body>';
echo '
<body oncontextmenu="return false;">
<body onselectstart="return false"  oncopy="return false"><body onload="digitalWatch()">
	<style type="text/css">{-moz-user-select: none;-webkit-user-select: none;-ms-user-select: none;-o-user-select: none;user-select: none;}</style>';
echo '
<div class="razd"></div>';
div('
Герой <font color="#4EEE94"><b>['.$hero.']</b></font>','top-nav1');
echo '
<div class="razd"></div>';
$islok = mysql_result(mysql_query("SELECT COUNT(*) FROM `rabota` WHERE `uid`='".$use_id."' AND `typerab`=1;"), 0);
switch ($act) {
default:
if($game==0 OR $level==0 OR $ban!=0 OR $hero==''){echo '
	<div class="blok">
		<b>Герой не создан!<br/>Вам нужно <a href="?act=new"><font color="#4EEE94"><b>создать героя</b></font></a> и дать ему имя!</b>
	</div>';
}

else

{

echo '
<center>
	<div class="blok1"><img src="../images/icon/menu.png" alt="" /> Уровень героя: <font color="#4EEE94"><b>['.$lvl_hero.']</b></font>';
if($islok==0 AND $lvl_hero<85)
echo ' 
[<a href="?act=lvl">+</a>]';
echo '
</div>
</center>';
if($islok==1 AND $lvl_hero<85)echo '
<center>
	<div class="window">
	Идет повышение уровня героя!
	</div>
</center>';
$uplvl=$lvl_hero+1;

if($rasa==1)require_once '../terran/hero.php';
if($rasa==2)require_once '../protoss/hero.php';
if($rasa==3)require_once '../zerg/hero.php';
}
break;
case 'new':
if($hero==''){
if(!$_POST)
{
echo '
<center><div class="window">';
echo '
<form action="" method="POST">';
echo '
	<b>Новое имя:</b><br/><font color="#FF0000">(Введите минимум 5 букв или символов)</font><br/><input type="text" value="" name="text" /> <input type="submit" name="submit" value="Создать"/></form>';
echo '
</div></center>';
}
else
{
$text =check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($_POST['text'])))))));

$error = false;
if( trim($_POST['text']) =='')

{
  
  $error = $error. 'Внесите информацию в поле: <font color="#4EEE94"><ins><b>Новое Имя</b></ins></font><br/>';
    
}

if(!empty($_POST['text']) && (mb_strlen($_POST['text']) > 20 || mb_strlen($_POST['text']) < 5 ||mb_strlen($_POST['text']) > 20))

{

	$error = $error. 'Введите в поле: <font color="#4EEE94"><ins><b>Новое Имя</b></ins></font>  минимум 5 символов или букв<br/>';
  
}

if(!empty($_POST['text']) && (preg_match('/[^a-zA-Zа-яА-Я0-9]+/=:',$_POST['text'])))
  
   
{
    
	$error = $error. 'Поле: <font color="#4EEE94"><b>Новое Имя</b></font> содержит запрещенные символы<br/>';
    
}

if (empty($error))
{
$req1 = mysql_query("select * from `users` where `hero`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($text))))))) . "';");
if (mysql_num_rows($req1) != 0)

{

		$error = $error. 'Герой с таким именем уже существует!<br/>Выберите другое.<br/>';
}
}

if (empty($error))
{

mysql_query("UPDATE `users` SET
`hero`='" . check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($text))))))) . "' WHERE `id`='" . $use_id . "';");
echo '
<div class="blok3">
	Герой <font color="#4EEE94"><b>['.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($text))))))).']</b></font> успешно создан!<br/>
</div>';

}
else
{
echo '
<div class="blok">
	<b>' . $error . '</b>
</div>';
}}
}
echo '
<div class="blok">
	<a href="hero.php"><b>Назад</b></a>
</div>';
break;
case 'lvl':
if($hero!='' AND $islok==0 AND $lvl_hero<85){
$ok=$_GET['ok'];
$utime1=$lvl_hero*600;
$timerab=$realtime+$utime1;
$k=$lvl_hero*1000;

echo '
<center>
	<div class="window">Стоимость повышения:<br/>';
if($rasa!=3){echo '
	<img src="../images/images_main/ozon.png" width ="25px" alt="image" /> Озон: <font color="#4EEE94">['.$k.']</font><br/>';
$c=$kred;
}
if($rasa==3){echo '
	<img src="../images/prov.png" alt="image" /> Провизия: '.$k.'<br/>';
$c=$prov;
}

echo '<img src="../images/time.gif" alt="image" /> Время на повышение: <font color="#4EEE94">['.($utime1/60).']</font> минут<br/>';
if($ok!=1){

if($c>=$k AND $islok==0)echo '
	<div class="blok"><a href="?act=lvl&amp;ok=1"><b>Начать повышение уровня</b></a>
	</div>';
echo '
</div>';
}else{
if($c>=$k AND $islok==0){
if($rasa==1 or $rasa==2 or $rasa==4)mysql_query("UPDATE `users` SET `kred`=kred-$k WHERE `id` = '$use_id';");
if($rasa==3)mysql_query("UPDATE `users` SET `prov`=prov-$k WHERE `id` = '$use_id';");
mysql_query("INSERT INTO `rabota` SET
`uid`='".$use_id."',
`rasa`='".$rasa."',
`number`='".($lvl_hero+1)."',
`typerab`=1,
`time`=$timerab;");
echo '
<center>
	<div class="window1">Повышение уровня героя <u>'.check(htmlspecialchars(stripslashes(addslashes(strip_tags(mysql_real_escape_string(trim($name_hero))))))).'</u> начато!
	</div>
]</center>';
}
}
echo '
<div class="blok">
	<a href="hero.php"><b>Назад</b></a>
</div>';}
break;
}
}
echo '
<div class="razd"></div>';
echo '
<center>
	<div class="blok2"><a href="../"><b>На Главную</b></a>
	</div>
</center>';
echo '
<div class="razd"></div>';
require_once '../includes/footer1.php';
?>
